Bug 980670 - [RFE] Add HTML as an input method to be translated
[RFE] Add HTML as an input method to be translated
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: David Mason
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 22:09 EDT by Isaac Rooskov
Modified: 2015-08-06 01:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140122-0753)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isaac Rooskov 2013-07-02 22:09:20 EDT
Description of problem:

When translate content for the Internet and HTML emails, it would be great to be able to have HTML as an input method to be translated.
Comment 1 Carlos Munoz 2014-01-19 19:15:23 EST
Implemented html format support using the Okapi library.

To cater to the lowest common denominator, the html produced by Zanata will be encoded in ASCII format and will encode all non ASCII characters using character entity references ('ó' for example).

See:
https://github.com/zanata/zanata-server/pull/333
Comment 2 Carlos Munoz 2014-01-19 19:16:20 EST
Html format support should work when pushing/pulling from the Zanata clients, and when uploading/downloading from the Zanata web UI.
Comment 3 Damian Jansen 2014-01-21 17:08:19 EST
Verified at 7c59e4ccb46504bee75cc04c1dfd217648e3d4ef
Comment 4 Sean Flanigan 2014-03-20 01:47:23 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.